Bug 328291 - Review Request: libnemesi - RTSP/RTP client library
Review Request: libnemesi - RTSP/RTP client library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 328261
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 16:00 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-08 16:17:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2007-10-11 16:00:28 EDT
Spec URL: http://rathann.fedorapeople.org/review/libnemesi.spec
SRPM URL: http://rathann.fedorapeople.org/review/libnemesi-0.6.2-0.1.20071011git.src.rpm
Description: 
Libnemesi let you add multimedia streaming playback in your applications in
a quick and straightforward way. This software, derived from the experience
matured with NeMeSi is fully compliant with IETF's standards for real-time
streaming of multimedia contents over Internet. libnemesi implements RTSP –
Real-Time Streaming Protocol (RFC2326) and RTP/RTCP – Real-Time Transport
Protocol/RTP Control Protocol (RFC3550) supporting the RTP Profile for
Audio and Video Conferences with Minimal Control (RFC3551).
Comment 1 Parag AN(पराग) 2007-10-12 00:02:09 EDT
mock build went fine.
some warnings I got from rpmlint are =>
libnemesi.i386: W: incoherent-version-in-changelog 0.6.2-0.1 0.6.2-0.1.20071011git
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

libnemesi-devel.i386: W: summary-not-capitalized nemesi development library and
headers
Summary doesn't begin with a capital letter.
Comment 2 Parag AN(पराग) 2007-10-12 05:10:20 EDT
Also,
  Good to add examples to %doc of -devel package.
Comment 3 Parag AN(पराग) 2007-10-12 05:14:32 EDT
Do you want to use disttag? Its not mandatory.
Comment 4 Dominik 'Rathann' Mierzejewski 2007-10-12 05:31:42 EDT
I'll fix the changelog.
Examples contain only code and the resulting binaries are installed in %{_bindir}.
I'll add the disttag, too.
Comment 5 Parag AN(पराग) 2007-10-18 01:53:59 EDT
can you please give updates SPEC so that I will finish this review?
Comment 6 Dominik 'Rathann' Mierzejewski 2007-10-24 17:13:33 EDT
http://rathann.fedorapeople.org/review/libnemesi.spec

Updated spec.
Comment 7 Parag AN(पराग) 2007-10-25 04:37:32 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM but NOT for RPM.
 libnemesi.i386: W: incoherent-version-in-changelog 0.6.2-0.2.20071011
0.6.2-0.2.20071011git.fc8
==> can be solved at time of CVS import.
+ source files match upstream.
2bedb3f40f0afc2c7cec49bb8b132732  libnemesi-20071011git.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ libnemesi.pc files are present.
+ -devel and -tools subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ ldconfig scriptlets are used.
+ libnemesi-0.6.2-0.2.20071011git package ->
  Provides: libnemesi.so.0
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libgcc_s.so.1 libgcc_s.so.1(GCC_3.0)
libgcc_s.so.1(GCC_3.3.1) libm.so.6 libnemesi.so.0 libnetembryo.so.0
libpthread.so.0 libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.1)
libpthread.so.0(GLIBC_2.3.2) libsctp.so.1 rtld(GNU_HASH)
+ libnemesi-devel-0.6.2-0.2.20071011git package ->
  Requires: libnemesi = 0.6.2-0.2.20071011git libnemesi.so.0 pkgconfig
+ libnemesi-tools-0.6.2-0.2.20071011git package ->
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libm.so.6 libnemesi.so.0
libnetembryo.so.0 libpthread.so.0 libpthread.so.0(GLIBC_2.0) libsctp.so.1
rtld(GNU_HASH)
+ Not a GUI app.

APPROVED.
Comment 8 Dominik 'Rathann' Mierzejewski 2007-11-01 10:23:01 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: libnemesi
Short Description: RTSP/RTP client library
Owners: rathann
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-11-01 13:25:33 EDT
cvs done.
Comment 10 Dominik 'Rathann' Mierzejewski 2007-11-08 16:17:33 EST
Built for devel.

Note You need to log in before you can comment on or make changes to this bug.